Page MenuHomePhabricator

Add a composer.json and lint the php in the Quiz extension
Closed, ResolvedPublic

Description

We should be linting the php in the Quiz extension

Event Timeline

Mvolz created this task.Dec 3 2016, 2:53 PM
Restricted Application removed a project: Patch-For-Review. · View Herald TranscriptDec 3 2016, 2:53 PM

Is there some more information available for contributors, like where to look about "composer.json" and what linting is and how to set up linting?

Reedy added a comment.Dec 17 2016, 5:20 PM

Copy pasta from another extension for 99% of it

Copy pasta from another extension for 99% of it

Yeah but I wasn't after teaching cargo cult programming

Change 329054 had a related patch set uploaded (by Filip):
Added valid composer.json

https://gerrit.wikimedia.org/r/329054

Reedy closed this task as Resolved.Dec 24 2016, 7:38 PM
Reedy assigned this task to Filip.

Change 329054 merged by jenkins-bot:
Added valid composer.json

https://gerrit.wikimedia.org/r/329054